// src/appSlice/selectors.ts
import { versionCompare } from "@northern.tech/utils/helpers";
import { createSelector } from "@reduxjs/toolkit";
var getAppDocsVersion = (state) => state.app.docsVersion;
var getFeatures = (state) => state.app.features;
var getFullVersionInformation = (state) => state.app.versionInformation;
var getDocsVersion = createSelector([getAppDocsVersion, getFeatures], (appDocsVersion, { isHosted }) => {
  const docsVersion = appDocsVersion ? `${appDocsVersion}/` : "development/";
  return isHosted ? "" : docsVersion;
});
var getSearchState = (state) => state.app.searchState;
var getSearchedDevices = createSelector([getSearchState], ({ deviceIds }) => deviceIds);
var getVersionInformation = createSelector(
  [getFullVersionInformation, getFeatures],
  ({ Integration, ...remainder }, { isHosted }) => isHosted && Integration !== "next" ? remainder : { ...remainder, Integration }
);
var getIsPreview = createSelector([getFullVersionInformation], ({ Integration }) => versionCompare(Integration, "next") > -1);

export {
  getFeatures,
  getFullVersionInformation,
  getDocsVersion,
  getSearchState,
  getSearchedDevices,
  getVersionInformation,
  getIsPreview
};
//# sourceMappingURL=chunk-LIJIIRON.js.map